MITM
MITM Delete CA bundle
Delete a MITM CA bundle
DELETE
/
v2.5
/
api
/
mitm
/
trusted-ca-bundle
cURL
curl -sk -X DELETE "https://<controller>/v2.5/api/mitm/trusted-ca-bundle" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/mitm/trusted-ca-bundle"
headers = {"Authorization": "cid <CID>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://<controller>/v2.5/api/mitm/trusted-ca-bundle", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}This response has no body data.{
"message": "<string>"
}Headers
Controller ID in the format: cid .
Example:
"cid <CID>"
Response
Was this page helpful?
⌘I
cURL
curl -sk -X DELETE "https://<controller>/v2.5/api/mitm/trusted-ca-bundle" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/mitm/trusted-ca-bundle"
headers = {"Authorization": "cid <CID>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://<controller>/v2.5/api/mitm/trusted-ca-bundle", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}This response has no body data.{
"message": "<string>"
}